﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using CoveringArrayAlgorithm;

namespace CoveringArray.Converters
{
    class TestsToStringConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            var tests = value as TestCases;
            if (tests != null)
            {
                var retStr = string.Empty;
                for (int i = 0; i < tests.Count; i++)
                {
                    retStr += "Test" + i + ": " + tests[i].ToString() + Environment.NewLine;
                }
                return retStr;
            }
            return "Object is not a TestCases collection.";
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
