﻿using System.Collections.Generic;
using System.Linq;

namespace CoveringArrayAlgorithm
{
    public class OptionGroups : Dictionary<SortedTuple, bool>
    {
        public OptionGroups Copy()
        {
            var ret = new OptionGroups();
            foreach (var group in this)
            {
                ret.Add(group.Key, false);
            }
            return ret;
        }

        public void Add(SortedTuple inTuple)
        {
            base.Add(inTuple, false);
        }
    }

    public class UnmarkedOptionGroups : List<SortedTuple>
    {
    }
}
