﻿using System;

namespace CoveringArrayAlgorithm
{
    /// <summary>
    /// A singleton to hold a single instance of the 
    /// C# Random Number Generator
    /// </summary>
    public class RNG
    {
        public static readonly Random Instance = new Random();

        private RNG()
        {
        }
    }
}
