﻿using System.Collections.Generic;

namespace CoveringArrayAlgorithm
{
    public class TestCase : SortedTuple
    {
        public OptionGroups OptionGroups = new OptionGroups();

        public void GetOptionGroups(int inNWay, SortedTuple inTouple = null, int inComponentId = 0)
        {
            if (inComponentId == 0)
                OptionGroups.Clear();
            for (int compId = inComponentId; compId < Count; compId++)
            {
                var mst = new SortedTuple(inTouple) { this[compId] };
                if (mst.Count == inNWay)
                    OptionGroups.Add(mst, true);
                else
                    GetOptionGroups(inNWay, mst, compId + 1);
            }
        }

        public OptionGroups GetPotentialOptionGroups(int inValue, int inNWay)
        {
            OptionGroups.Clear();
            for (int i = 0; i < this.Count; i++)
            {
                var tuple = new SortedTuple() {this[i], inValue};
                int j = 0;
                while(tuple.Count < inNWay)
                {
                    tuple.Add(this[i + ++j]);
                }
                OptionGroups.Add(tuple);
            }
            return OptionGroups;
        }
    }

    public class TestCases : List<TestCase>
    {

    }
}


// 1, 2, 3, 4, 5
// 1-2, 1-3, 1-4, 1-5, 2-3, 2-4, 2-5, 3-4, 3-5, 4-5