﻿using CoveringArrayAlgorithm;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace CoveringArrayAlgorithm_Tests
{
    [TestClass]
    public class OptionGroup_Test
    {
        [TestMethod]
        public void Test_Key_Different_Object()
        {
            OptionGroups expectedGroups = new OptionGroups();
            expectedGroups.Add(new SortedTuple() { 1, 4 }, true);
            expectedGroups.Add(new SortedTuple() { 1, 5 }, false);
            expectedGroups.Add(new SortedTuple() { 1, 6 }, true);
            expectedGroups.Add(new SortedTuple() { 1, 7 }, false);
            expectedGroups.Add(new SortedTuple() { 1, 8 }, true);
            expectedGroups.Add(new SortedTuple() { 1, 9 }, false);

            bool expected = true;
            bool actual = expectedGroups[new SortedTuple() { 1, 4 }];

            Assert.AreEqual(expected, actual);
        }
    }
}
