﻿using System.Linq;
using CoveringArrayAlgorithm;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace CoveringArrayAlgorithm_Tests
{
    [TestClass]
    public class TestCase_Test
    {
        [TestMethod]
        public void TestMethod1()
        {
            var test1 = new TestCase {1, 2, 3, 4, 5};
            test1.GetOptionGroups(2);

            var expectedGroups = new OptionGroups
                                     {
                                         new SortedTuple {1, 2},
                                         new SortedTuple {1, 3},
                                         new SortedTuple {1, 4},
                                         new SortedTuple {1, 5},
                                         new SortedTuple {2, 3},
                                         new SortedTuple {2, 4},
                                         new SortedTuple {2, 5},
                                         new SortedTuple {3, 4},
                                         new SortedTuple {3, 5},
                                         new SortedTuple {4, 5}
                                     };

            for (int i = 0; i < expectedGroups.Count; i++)
            {
                Assert.IsTrue(test1.OptionGroups.ElementAt(i).Key == expectedGroups.ElementAt(i).Key);
            }
        }
    }
}
