﻿using System;
using System.Windows.Data;

namespace CoveringArrayView.Converters
{
    class SelectedItemToBoolConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value.GetType() != typeof(int)) return false;

            int selectedItem = (int) value;
            return selectedItem != -1;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
