﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace CoveringArrayView.Model
{
    public class Parameters : List<Parameter>
    {
        public KnownType KnownType { get; set; }

        public void Add(string inTypeName, string inParamName)
        {
            Add(new Parameter(inTypeName, inParamName));
        }


        public bool Contains(string inParameterName)
        {
            return this.Any(p => p.ParameterName == inParameterName);
        }
    }
}
