﻿using System.Collections.Generic;

namespace CoveringArrayAlgorithm
{
    public class Component : SortedTuple
    {
        public static int NextId = 1;

        public Component()
        {
            _Id = NextId++;
        }

        public int Id
        {
            get { return _Id; }
        } private readonly int _Id;

        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        } private string _Name;

        public int OptionCount
        {
            get { return Count; }
        }
    }

    /// <summary>
    /// A collection of components
    /// </summary>
    public class Components : List<Component>
    {
    }
}
