﻿using CoveringArrayAlgorithm;

namespace CoveringArrayView.Model
{
    class ComponentParameter : Component
    {
        private Parameter _Parameter;

        public ComponentParameter(Parameter inParameter)
        {
            UpdateComponent(inParameter);
        }

        public void UpdateComponent(Parameter inParameter)
        {
            _Parameter = inParameter;
            Name = string.Format("{0}_{1}", inParameter.TypeName, inParameter.ParameterName);
            foreach (TestValue tv in inParameter.KnownType.TestValues)
            {
                tv.Id = TestSuite.NextOptionId++;
                Add(tv.Id);
            }
        }
    }
}
